Skip to main content
GET
/
v1
/
keywords
/
{keywordId}
/
prompts
List prompts for a keyword
curl --request GET \
  --url https://api.example.com/v1/keywords/{keywordId}/prompts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "analysisStatus": "queued",
      "id": "<string>",
      "lastAnalyzedAt": "<string>",
      "prompt": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.semji.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

keywordId
string
required

Keyword ID.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required